<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: ScintillatorTilePhysicsList Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ScintillatorTilePhysicsList Class Reference</h1><!-- doxytag: class="ScintillatorTilePhysicsList" -->
<p>a class for the automatic registration of the physics needed for the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>. This is done by static functions, thus no <a class="el" href="classScintillatorTilePhysicsList.html" title="a class for the automatic registration of the physics needed for the G4ScintillatorTiles...">ScintillatorTilePhysicsList</a> object has to be created.  
</p>

<p><a href="classScintillatorTilePhysicsList-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTilePhysicsList.html#a3da2db0012d79112d63bddacea7a55ce">LoadPhysicsList</a> (G4VModularPhysicsList *physicsList, int verbose=0)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTilePhysicsList.html#a4939a99be164591cc70b48cfe802364e">ScintillatorTilePhysicsList</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTilePhysicsList.html#ac25c323448073803a5586cbadbc61fc0">~ScintillatorTilePhysicsList</a> ()</td></tr>
<tr><td colspan="2"><h2>Static Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTilePhysicsList.html#a65a5c514babeed5bb49497f22e70ba2c">registerPhysics</a> (G4VModularPhysicsList *physicsList, G4VPhysicsConstructor *physicsConstructor)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4939a99be164591cc70b48cfe802364e"></a><!-- doxytag: member="ScintillatorTilePhysicsList::ScintillatorTilePhysicsList" ref="a4939a99be164591cc70b48cfe802364e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ScintillatorTilePhysicsList::ScintillatorTilePhysicsList </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor (empty) </p>

</div>
</div>
<a class="anchor" id="ac25c323448073803a5586cbadbc61fc0"></a><!-- doxytag: member="ScintillatorTilePhysicsList::~ScintillatorTilePhysicsList" ref="ac25c323448073803a5586cbadbc61fc0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual ScintillatorTilePhysicsList::~ScintillatorTilePhysicsList </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline, private, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3da2db0012d79112d63bddacea7a55ce"></a><!-- doxytag: member="ScintillatorTilePhysicsList::LoadPhysicsList" ref="a3da2db0012d79112d63bddacea7a55ce" args="(G4VModularPhysicsList *physicsList, int verbose=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTilePhysicsList::LoadPhysicsList </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>physicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>verbose</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to registers the physics that is needed for the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>. Therefor, <a class="el" href="classScintillatorTilePhysicsList.html#a65a5c514babeed5bb49497f22e70ba2c">registerPhysics()</a> is used.</p>
<p>The following physics constructors are registered: </p>

<p><p><b> Standard EM Physics: </b></p>
<ul>
<li>G4QAtomicPhysics (from 2009)<ul>
<li>creates the following particles:<ul>
<li>bosons: G4Gamma</li>
<li>leptons: G4Electron, G4Positron, G4MuonPlus, G4MuonMinus</li>
<li>mesons: G4PionPlus, G4PionMinus, G4KaonPlus, G4KaonMinus</li>
<li>baryons: G4Proton, G4AntiProton, G4SigmaPlus, G4AntiSigmaPlus, G4SigmaMinus, G4AntiSigmaMinus, G4XiMinus, G4AntiXiMinus, G4OmegaMinus, G4AntiOmegaMinus</li>
<li>ions: G4Deuteron, G4Triton, G4He3, G4Alpha, G4GenericIon</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>G4Gamma: G4ComptonScattering, G4GammaConversion, G4PhotoElectricEffect</li>
<li>G4Electron: G4eMultipleScattering, G4eIonisation, G4eBremsstrahlung</li>
<li>G4Positron: G4eMultipleScattering, G4eIonisation, G4eBremsstrahlung, G4eplusAnnihilation</li>
<li>G4MuonPlus, G4MuonMinus: G4MuMultipleScattering, G4MuIonisation, G4MuBremsstrahlung, G4MuPairProduction (NOTE: NO G4CoulombScattering!!!)</li>
<li>mesons, baryons, G4Deuteron, G4Triton: G4hMultipleScattering, G4hBremsstrahlung, G4hIonisation, G4hPairProduction</li>
<li>G4He3, G4Alpha, G4GenericIon: G4hMultipleScattering, G4ionIonisation</li>
<li>additionally (if the particles are created by other Physics Constructors):<ul>
<li>G4TauPlus, G4TauMinus: G4hMultipleScattering, G4hBremsstrahlung, G4hIonisation, G4hPairProduction</li>
<li>G4BMesonMinus, G4BMesonPlus, G4DMesonMinus, G4DMesonPlus, G4DsMesonMinus, G4DsMesonPlus, G4LambdacPlus, G4AntiLambdacPlus, G4SigmacPlus, G4AntiSigmacPlus, G4SigmacPlusPlus, G4AntiSigmacPlusPlus, G4XicPlus, G4AntiXicPlus: G4hMultipleScattering, G4hIonisation</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Extra EM Physics </b></p>
<ul>
<li>G4QPhotoNuclearPhysics (from 2009)<ul>
<li>creates the following particles:<ul>
<li>bosons: G4Gamma</li>
<li>leptons: G4Electron, G4Positron, G4MuonPlus, G4MuonMinus, G4TauPlus, G4TauMinus</li>
<li>mesons: G4MesonConstructor</li>
<li>baryons: G4BaryonConstructor</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>bosons, leptons: G4QInelastic</li>
<li>all charged particles: G4QSynchRad</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Optical Physics </b></p>
<ul>
<li>G4OpticalPhysics (from 2009)<ul>
<li>creates the following particles:<ul>
<li>bosons: G4OpticalPhoton</li>
</ul>
</li>
<li>and adds the following physical processes to these particles:<ul>
<li>G4OpAbsorption, G4OpRayleigh, G4OpMieHG, G4OpBoundaryProcess, G4OpWLS, G4Scintillation, G4Cerenkov</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Particle Decay Physics </b></p>
<ul>
<li>G4DecayPhysics (from 2002)<ul>
<li>creates the following particles:<ul>
<li>bosons: G4BosonConstructor</li>
<li>leptons: G4LeptonConstructor</li>
<li>mesons: G4MesonConstructor</li>
<li>baryons: G4BaryonConstructor</li>
<li>ions: G4IonConstructor</li>
<li>resonances: G4ShortLivedConstructor</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>all particles with finite life time: G4Decay</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Particle Stopping Physics </b></p>
<ul>
<li>G4QCaptureAtRestPhysics (from 2009)<ul>
<li>creates the following particles:<ul>
<li>leptons: G4LeptonConstructor</li>
<li>mesons: G4MesonConstructor</li>
<li>baryons: G4BaryonConstructor</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>G4MuonMinus, G4TauMinus, G4PionMinus, G4SigmaMinus, G4KaonMinus, G4OmegaMinus, G4AntiProton, G4AntiSigmaPlus, G4XiMinus: G4QCaptureAtRest</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Ion Physics </b></p>
<ul>
<li>G4QIonPhysics (from 2010)<ul>
<li>creates the following particles:<ul>
<li>ions: G4IonConstructor</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>G4GenericIon, G4He3, G4Deuteron, G4Triton, G4Alpha: G4QIonIonElastic, G4QLowEnergy</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Hadron Nuclear Elastic Scattering Physics </b></p>
<ul>
<li>G4ChargeExchangePhysics (from 2008)<ul>
<li>creates the following particles:<ul>
<li>mesons: G4MesonConstructor</li>
<li>baryons: G4BaryonConstructor</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>G4PionPlus, G4PionMinus, G4neutron, G4Proton, G4KaonZeroLong, G4KaonZeroShort: G4ChargeExchangeProcess (hadron nuclear elastic scattering)</li>
</ul>
</li>
</ul>
</li>
</ul>
<p><b> Hadron Elastic Scattering Physics </b></p>
<ul>
<li>There are many more physics list using different models to describe hadronic elastic scattering:<ul>
<li>G4HadronDElasticPhysics</li>
<li>G4HadronElasticPhysics</li>
<li>G4HadronElasticPhysics93</li>
<li>G4HadronElasticPhysicsLHEP</li>
<li>G4HadronElasticPhysicsXS</li>
<li>G4HadronHElasticPhysics</li>
<li>G4HadronQElasticPhysics</li>
<li>G4QElasticPhysics</li>
</ul>
</li>
</ul>
<p><b> Hadron Inelastic Scattering Physics </b></p>
<ul>
<li>HadronPhysicsQGSP_BERT_HP (from 2002)<ul>
<li>creates the following particles:<ul>
<li>mesons: G4MesonConstructor</li>
<li>baryons: G4BaryonConstructor</li>
<li>resonances: G4ShortLivedConstructor</li>
</ul>
</li>
<li>and adds the following physical processes:<ul>
<li>G4Neutron: G4NeutronInelasticProcess (G4NeutronBuilder), G4HadronCaptureProcess (G4NeutronBuilder), G4HadronFissionProcess (G4NeutronBuilder)</li>
<li>G4Proton: G4ProtonInelasticProcess (G4ProtonBuilder)</li>
<li>G4PionPlus: G4PionPlusInelasticProcess (G4PiKBuilder)</li>
<li>G4PionMinus: G4PionMinusInelasticProcess (G4PiKBuilder)</li>
<li>G4KaonPlus: G4KaonPlusInelasticProcess (G4PiKBuilder)</li>
<li>G4KaonMinus: G4KaonMinusInelasticProcess (G4PiKBuilder)</li>
<li>G4KaonZeroLong: G4KaonZeroLInelasticProcess (G4PiKBuilder)</li>
<li>G4KaonZeroShort: G4KaonZeroSInelasticProcess (G4PiKBuilder)</li>
<li>G4AntiProton: G4AntiProtonInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiNeutron: G4AntiNeutronInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4Lambda: G4LambdaInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiLambda: G4AntiLambdaInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4SigmaMinus: G4SigmaMinusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiSigmaMinus: G4AntiSigmaMinusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4SigmaPlus: G4SigmaPlusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiSigmaPlus: G4AntiSigmaPlusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4XiMinus: G4XiMinusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiXiMinus: G4AntiXiMinusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4XiZero: G4XiZeroInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiXiZero: G4AntiXiZeroInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4OmegaMinus: G4OmegaMinusInelasticProcess (G4MiscLHEPBuilder)</li>
<li>G4AntiOmegaMinus: G4AntiOmegaMinusInelasticProcess (G4MiscLHEPBuilder)</li>
</ul>
</li>
</ul>
</li>
</ul>
</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>verbose</em>&nbsp;</td><td>verbosity level for adding the needed physics processes (specified in <a class="el" href="classScintillatorTilePhysicsList.html" title="a class for the automatic registration of the physics needed for the G4ScintillatorTiles...">ScintillatorTilePhysicsList</a>) to the physics list (default: 0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a65a5c514babeed5bb49497f22e70ba2c"></a><!-- doxytag: member="ScintillatorTilePhysicsList::registerPhysics" ref="a65a5c514babeed5bb49497f22e70ba2c" args="(G4VModularPhysicsList *physicsList, G4VPhysicsConstructor *physicsConstructor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void ScintillatorTilePhysicsList::registerPhysics </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>physicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicsConstructor *&nbsp;</td>
          <td class="paramname"> <em>physicsConstructor</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline, static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function that registers a physics constructor, if it has not already been registered. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>physicsConstructor</em>&nbsp;</td><td>physics to be registered </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 13 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
